Update access points

PUT /internal/admin/comms/v1/location/access-points

Operation id: put__internal_admin_comms_v1_location_access_points

Tags: User Location

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — Access Points updated successfully

Content type: application/json

400 — Bad request

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenant_idstringNo
bssid_mappingarrayNo
{
  "type": "object",
  "properties": {
    "tenant_id": {
      "type": "string"
    },
    "bssid_mapping": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "bssid": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "tenant_id": {
            "type": "string"
          },
          "site_id": {
            "type": "string"
          },
          "ap_created_name": {
            "type": "string"
          }
        }
      }
    }
  }
}

Response models

200 — Access Points updated successfully

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
totalRecordsintegerNo
successfullyProcessedRecordsintegerNo
ignoredRecordsintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "totalRecords": {
      "type": "integer"
    },
    "successfullyProcessedRecords": {
      "type": "integer"
    },
    "ignoredRecords": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
totalRecordsintegerNo
successfullyProcessedRecordsintegerNo
ignoredRecordsintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "totalRecords": {
      "type": "integer"
    },
    "successfullyProcessedRecords": {
      "type": "integer"
    },
    "ignoredRecords": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}